classification
Title: email module does not unfold headers
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: bromine, cheryl.sabella, evanj, r.david.murray, sandro.tosi
Priority: normal Keywords: patch

Created on 2008-12-18 20:59 by bromine, last changed 2019-01-06 14:14 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
feedparser.diff bromine, 2008-12-18 20:59 Patch for email/feedparser.py
Messages (6)
msg78042 - (view) Author: Ben Artin (bromine) Date: 2008-12-18 20:59
RFC 2822 allows for certain headers to be spread across multiple lines 
(section 2.2.3). In particular, subject, comments, and keywords headers 
behave this way (section 3.6.5). 

I think the email module should unfold such headers. See attached patch.
msg97020 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-12-30 02:42
While I agree with you, this represents a significant API change and so
is only going to be dealt with in the new version of the email package
(see http://wiki.python.org/moin/Email%20SIG)
msg128230 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-02-09 18:33
Hi David, AFAIUI in py3k branch I see email module has version 5.1.0 so I guess the new email module will be targetting 3.3 - am I correct? what should we do with this issue?
msg128239 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-02-09 20:50
Yes, when I said "new version", I meant "new major version", as in email6.  I have plans for this, but I'm waiting until after the release of 3.2 to make a presentation about it to the email-sig.
msg333078 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-01-05 22:28
Although email policies are marked as provisional, I believe the changes in issue14731 would fix the original request in this issue.  If so, would it be possible to close this issue as resolved?  Thanks.
msg333114 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2019-01-06 14:14
The new email API is no longer provisional.  It isn't the *default* yet, but it isn't provisional.  So yes, this is resolved.

Cheryl, if you see places in the current docs that still say provisional, please open an issue to remove those.
History
Date User Action Args
2019-01-06 14:14:29r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg333114

stage: patch review -> resolved
2019-01-05 22:28:22cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg333078
2012-10-10 21:29:02evanjsetnosy: + evanj
2011-02-09 20:50:08r.david.murraysetnosy: r.david.murray, bromine, sandro.tosi
messages: + msg128239
versions: + Python 3.3, - Python 3.2
2011-02-09 18:33:17sandro.tosisetnosy: + sandro.tosi

messages: + msg128230
stage: patch review
2009-12-30 02:42:25r.david.murraysetpriority: normal
title: email module does not fold headers -> email module does not unfold headers
nosy: + r.david.murray

messages: + msg97020

versions: + Python 3.2, - Python 2.6
2008-12-20 14:36:22loewissetversions: - Python 2.5.3
2008-12-18 20:59:27brominecreate